Subject: Re: bug#35492: 27.0.50; set-mouse-color nop

From: Devon Sean McCullough <[email-masked]>
Date: Wed, 1 May 2019 17:49:16 -0400

> On May 1, 2019, at 5:11 PM, Alan Third <[email-masked]> wrote:
> 
> On Wed, May 01, 2019 at 07:07:53AM -0400, Devon Sean McCullough wrote:
>>> 	On Apr 30, 2019, at 4:22 PM, Alan Third <[email-masked]> wrote:
>>> On Mon, Apr 29, 2019 at 02:18:42PM -0400, Devon Sean McCullough wrote:
>>>> The following have no effect:
>>>> 	(set-mouse-color "red")
>>>> 	(set-mouse-color “yellow")
>>>> 	(set-mouse-color "windowBackgroundColor")
>>>> The mouse color should change.
>> 
>>> I don’t think the NS port supports modifying the mouse pointer. It
>>> looks like it could probably be handled with custom NSCursors.
>> 
>> I see NS allows us to both read and write cursor images
>> so a possible solution might involve (mouse-cursor-image nil)
>> to get the current cursor image and (mouse-cursor-image nil image)
>> to set it, either as a new primitive or an existing one I’m ignorant of.
>> Lisp code thus replaces the cursor colors according to some heuristic;
>> this notion struck me after giving image.c & image.el a cursory glance.
> 
> It looks like it’s possible to get a copy of the image for the current
> cursor, so it’s possible we could just modify that.

Yes, that’s what I said.

		Peace
			—Devon

P.S. I would be foolish to do in C
and it would be wise to allow Lisp
to generate custom cursors too.